%define devname %mklibname %{name} -d

Summary:	Tools for Managing Linux CIFS Client Filesystems
Name:		cifs-utils
Version:	6.4
Release:	2
License:	GPLv3+
Group:		Networking/Other
Url:		http://www.samba.org/linux-cifs/cifs-utils/
Source0:	ftp://ftp.samba.org/pub/linux-cifs/cifs-utils/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.samba.org/pub/linux-cifs/cifs-utils/%{name}-%{version}.tar.bz2.asc
BuildRequires:	acl-devel
BuildRequires:	keyutils-devel
BuildRequires:	krb5-devel
BuildRequires:	pkgconfig(libcap-ng)
BuildRequires:	pkgconfig(talloc)
BuildRequires:	pkgconfig(wbclient)
BuildRequires:	samba-winbind
Requires:	keyutils
Suggests:	nss_wins
Suggests:	sudo
Requires(post,preun):	update-alternatives
Provides:	mount-cifs = %{version}
Obsoletes:	mount-cifs <= 4.0

%description
Tools for Managing Linux CIFS Client Filesystems.

%files
%doc AUTHORS README doc/linux-cifs-client-guide.odt contrib/request-key.d/README.keyutils-1.5.5
%config(noreplace) %{_sysconfdir}/request-key.d/cifs.idmap.conf
%config(noreplace) %{_sysconfdir}/request-key.d/cifs.spnego.conf
%{_bindir}/cifscreds
%{_bindir}/getcifsacl
%{_bindir}/setcifsacl
%{_libdir}/%{name}/idmapwb.so
%dir %{_sysconfdir}/cifs-utils/
/sbin/cifs.upcall
/sbin/mount.cifs
/sbin/cifs.idmap
/bin/mount.cifs
/bin/umount.cifs
%{_mandir}/man8/cifs.upcall.8.*
%{_mandir}/man8/mount.cifs.8.*
%{_mandir}/man8/cifs.idmap.8.*
%{_mandir}/man8/idmapwb.8.*
%{_mandir}/man1/cifscreds.1*
%{_mandir}/man1/getcifsacl.1.*
%{_mandir}/man1/setcifsacl.1.*

%post
/usr/sbin/alternatives --install %{_sysconfdir}/cifs-utils/idmap-plugin cifs-idmap-plugin %{_libdir}/%{name}/idmapwb.so 10

%preun
if [ $1 = 0 ]; then
	/usr/sbin/alternatives --remove cifs-idmap-plugin %{_libdir}/%{name}/idmapwb.so
fi

#----------------------------------------------------------------------------

%package -n pam_cifscreds
Summary:	PAM module to manage NTLM credentials in kernel keyring
Group:		System/Libraries

%description -n pam_cifscreds
The pam_cifscreds PAM module is a tool for automatically adding
credentials (username and password) for the purpose of establishing
sessions in multiuser mounts.

%files -n pam_cifscreds
%{_libdir}/security/pam_cifscreds.so
%{_mandir}/man8/pam_cifscreds.8.*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Files needed for building plugins for cifs-utils
Group:		Development/Other
Provides:	cifs-utils-devel = %{EVRD}

%description -n %{devname}
The SMB/CIFS protocol is a standard file sharing protocol widely deployed
on Microsoft Windows machines. This package contains the header file
necessary for building ID mapping plugins for cifs-utils.

%files -n %{devname}
%doc AUTHORS
%{_includedir}/cifsidmap.h

#----------------------------------------------------------------------------

%prep
%setup -q

# remove -Werror
perl -pi -e "s|-Werror||g" Makefile*

%build
%serverbuild
rm -rf autom4te.cache
autoreconf -fi
%configure2_5x \
	--sbindir=/sbin

find . -type d -perm 0775 -exec chmod 0755 {} \;

%make

%install
%makeinstall_std
mkdir %{buildroot}/bin
ln -s ../sbin/mount.cifs %{buildroot}/bin/mount.cifs
# Hack for smb4k
ln -s umount %{buildroot}/bin/umount.cifs

mkdir -p %{buildroot}%{_sysconfdir}/request-key.d
install -m 644 contrib/request-key.d/cifs.idmap.conf %{buildroot}%{_sysconfdir}/request-key.d
install -m 644 contrib/request-key.d/cifs.spnego.conf %{buildroot}%{_sysconfdir}/request-key.d
cp contrib/request-key.d/README contrib/request-key.d/README.keyutils-1.5.5

mkdir -p %{buildroot}%{_sysconfdir}/cifs-utils/

%changelog

* Fri Oct 02 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 6.4-2
- (00464ce) Try to fix post script
- (00464ce) Spec cleanup


